Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.hpbf.model
Class HPBFPart

    java.lang.Object
      org.apache.poi.hpbf.model.HPBFPart

Direct Known Subclasses:
  EscherPart, MainContents, QuillContents

    public abstract class HPBFPart

extends java.lang.Object

Parent class of all HPBF sub-parts, handling the fiddly reading in / writing out bits for all of them.

Field Summary
`protected byte[]` | `data`

Constructor Summary
`HPBFPart(DirectoryNode baseDir, java.lang.String[] path)`

Method Summary
`protected abstract void` | `generateData()` Called just before writing out, to trigger the data byte array to be updated with the latest contents.
`byte[]` | `getData()` Returns the raw data that makes up this document part.
`java.lang.String[]` | `getPath()` Returns
`void` | `writeOut(DirectoryNode baseDir)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### data

    protected byte[] data

Constructor Detail

### HPBFPart

    public HPBFPart(DirectoryNode baseDir,
                    java.lang.String[] path)
             throws java.io.IOException

Parameters:
  `path` - the path to the part, eg Contents or Quill, QuillSub, CONTENTS
Throws:
  `java.io.IOException`

Method Detail

### writeOut

    public void writeOut(DirectoryNode baseDir)
                  throws java.io.IOException

  Throws:
    `java.io.IOException`

### generateData

    protected abstract void generateData()

  Called just before writing out, to trigger the data byte array to be updated with the latest contents.

### getData

    public byte[] getData()

  Returns the raw data that makes up this document part.

### getPath

    public final java.lang.String[] getPath()

  Returns

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2010 The Apache Software Foundation or its licensors, as applicable.